Loyalty Levels

A loyalty level represents a tier or level within a loyalty program. Members can be assigned to different loyalty levels based on their activity or status within the program.

Create / Update Loyalty Levels

Creates or updates a loyalty level in the system. This will create the loyalty level in Movio if it does not exist. If the loyalty level exists, then it will be one to one replaced with the new data.

SecurityOAuth2
Request
Request Body schema: application/json
required

The loyalty levels to be created.

Array ([ 1 .. 5000 ] items)
loyalty_level_id
required
string (LoyaltyLevel_id)

The unique identifier for the loyalty level.

name
required
string

The name of the loyalty level.

Responses
202

The response to a bulk request that succeeded.

400

The response to a bulk request that failed.

401

The request has not been applied because it lacks valid authentication credentials for the target resource.

422

The request was well-formed but was unable to be followed due to semantic errors.

put/loyalty-levels
Request samples
application/json
[
  • {
    }
]
Response samples
application/json
{
  • "total": 3,
  • "created_count": 2,
  • "updated_count": 1
}

Delete Loyalty Level

Deletes a loyalty level from the system. This effectively removes the loyalty level from Movio. Useful when a loyalty level is no longer available. Movio will keep the loyalty level in the system for historical purposes.

SecurityOAuth2
Request
path Parameters
loyalty_level_id
required
string (LoyaltyLevel_id)

The unique identifier for a loyalty level.

Example: LL1
Responses
204

The loyalty level was deleted successfully.

400

The request could not be understood by the server due to malformed syntax.

401

The request has not been applied because it lacks valid authentication credentials for the target resource.

422

The request was well-formed but was unable to be followed due to semantic errors.

delete/loyalty-levels/{loyalty_level_id}
Response samples
plain/text
The request could not be understood by the server due to
malformed syntax. The client should not repeat the request without
modifications.